#include "appContext.h"

#include "HttpServer/HttpServer.h"
#include "Track/Track.h"

using namespace std;
//--------------------------------------------------------------
/* Default constructor */
AppContext::AppContext()
  : logger(eventBus)
{
  // Create an instance of the HTTP server
  m_hServer = make_unique<HttpServer>();

  // Create an instance of the Player
  player = make_unique<player::Player>(eventBus);
}
//--------------------------------------------------------------
